package com.willalp.common.core.domain.request;

import com.willalp.common.annotation.Excel;

import javax.validation.constraints.Size;

public class SysUserExport {

    @Excel(name = "用户名称")
    @Size(min = 0, max = 30, message = "用户昵称长度不能超过30个字符")
    private String nickName;

    @Excel(name = "部门编码")
    private String deptCode;

    @Excel(name = "用户类型", readConverterExp = "1=院内职工,2=第三方员工,3=住院用户,4=特殊用户")
    private String userType;

    @Excel(name = "用户邮箱")
    private String email;

    @Excel(name = "手机号码")
    private String phonenumber;

    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    @Excel(name = "证件类型", readConverterExp = "0=身份证,1=社保卡,2=军官证,3=护照")
    private Integer cardType;

    @Excel(name = "证件号码")
    private String cardNumber;

    @Excel(name = "关联账户")
    private String relatedAccount;

    @Excel(name = "角色编码")
    private String roleCode;

    @Excel(name = "卡片名称")
    private String cardUsername;

    @Excel(name = "卡片手机号码")
    private String cardPhonenumber;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getCardType() {
        return cardType;
    }

    public void setCardType(Integer cardType) {
        this.cardType = cardType;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getRelatedAccount() {
        return relatedAccount;
    }

    public void setRelatedAccount(String relatedAccount) {
        this.relatedAccount = relatedAccount;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getCardUsername() {
        return cardUsername;
    }

    public void setCardUsername(String cardUsername) {
        this.cardUsername = cardUsername;
    }

    public String getCardPhonenumber() {
        return cardPhonenumber;
    }

    public void setCardPhonenumber(String cardPhonenumber) {
        this.cardPhonenumber = cardPhonenumber;
    }
}
